%define subrel 1

%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
Summary: GNOME XML documentation utilities 
Name: gnome-doc-utils
Version: 0.4.4
Release: %mkrel 3
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: LGPL
Group: Publishing
Url: http://www.gnome.org
BuildRequires: libxslt-devel
BuildRequires: libxslt-proc
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
Requires: python-libxml2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.  Starting with
Gnome 2.8, Yelp will require gnome-doc-utils for the XSLT.


%prep
%setup -q

%build

%configure2_5x --disable-scrollkeeper

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang gnome-doc-make --with-gnome
%find_lang gnome-doc-xslt --with-gnome
cat gnome-doc-xslt.lang gnome-doc-make.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
#NEWS
%_bindir/*
%pkgconfigdir/*.pc
%_datadir/aclocal/*.m4
%_datadir/gnome-doc-utils/
%dir %_datadir/omf/gnome-doc-make/
%_datadir/omf/gnome-doc-make/gnome-doc-make-C.omf
%dir %_datadir/omf/gnome-doc-xslt/
%_datadir/omf/gnome-doc-xslt/gnome-doc-xslt-C.omf
%dir %_datadir/xml/
%_datadir/xml/gnome
%_datadir/xml2po/
%_mandir/man1/xml2po.1*

%changelog
* Fri Aug 11 2006 Vincent Danen <vdanen@mandriva.com> 0.4.4-2.1.20060mdk
- build for 2006 (needed by epiphany)

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.4-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- drop patch
- New release 0.4.3

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-2mdk
- Patch0: fix scrollkeeper-update when using DESTDIR

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-1mdk
- Release 0.4.2
- remove patch0 (merged upstream)

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- replace prereq
- encoding fix

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- fix pkgconfig file location

* Mon Apr 04 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Fri Jan 14 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Mon Jan  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- New release 0.1.1

* Wed Nov  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-3mdk
- buildrequires fix

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- add scrollkeeper scripts
- fix deps

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
